#ifndef _THREAD_H_
#define _THREAD_H_

#include <l4/ipc.h>

class Thread
{
	bool				mThreadAlive;
	L4_ThreadId_t		mThreadTID;
	int					m_nStatus;
	char const		*	m_szThreadName;
	static	void		ThreadLoop( Thread * self );
	virtual int 		ThreadLoop(  ) = 0;
public:
	Thread( const char * szThreadName );
	virtual ~Thread();
	int Start();
	int Stop();
	int Stop( int nStutus );
//	L4_ThreadId_t		GetTID() const { return mThreadTID; }
	L4_ThreadId_t		GetTID();
	bool				ThreadActive() const { return mThreadAlive; }
};

#endif
