#include <sys/stat.h>

#define FILE_STAT_CR		1
#define FILE_STAT_LF		2

class IFileStatus
{
public:
	virtual ~IFileStatus() {;}

	virtual int ToString( 
		int						format, 
		char				*	pFileInfo, 
		int						nBufferSize,
		int						nFlags) = 0;

	virtual struct stat * Status() = 0;
};

//
// Public function
//
IFileStatus * GetFileStatus( char * szFileName, struct stat Status );
