#ifndef _PWD_H_
#define _PWD_H_

#include <sys/cdefs.h>
#include <sys/types.h>

struct passwd
{
  char *pw_name;		/* Username.  */
  char *pw_passwd;		/* Password.  */
  int pw_uid;		/* User ID.  */
  int pw_gid;		/* Group ID.  */
  char *pw_gecos;		/* Real name.  */
  char *pw_dir;			/* Home directory.  */
  char *pw_shell;		/* Shell program.  */
};

__BEGIN_DECLS
	struct passwd *getpwent(void);
	void setpwent(void);
	void endpwent(void);

	struct passwd *getpwnam( const char * name );
	struct passwd *getpwuuid( uid_t uid );

__END_DECLS

#endif
