#ifndef _MOUNT_H_
#define _MOUNT_H_

#include <sys/cdefs.h>

#define		FSTYPE_DEVFS	0x100

__BEGIN_DECLS

    int xam_filesystem_init(void);

    int  mount( 
	const char	*	source, 
	const char	*	target, 
	const char	*	filesystemtype, 
	unsigned long 	mountflags, 
	const void	*	data);

    int umount(const char *target);

__END_DECLS

#endif
