#ifndef __XAM_CONSOLE_H__
#define __XAM_CONSOLE_H__

extern "C" int xam_console_init( const char * szDriver );
extern "C" int xam_console_release(void);
extern "C" int xam_activate_display( int ConsoleIdx );
extern "C" int xam_putchar( int ConsoleIdx, int ch );
extern "C" int xam_puts( int ConsoleIdx, const char * str );
extern "C" int xam_gets( int display_number, int maxsize, char * str );
extern "C" int xam_printf( int display_number, const char * format, ... );
extern "C" int xam_open( int display_number, int mode  );
extern "C" int xam_close( int display_number );
extern "C" int xam_ioctl( int display_number, int request,	... );

extern "C" unsigned int xam_getchar( int ConsoleIdx );

#endif
