#ifndef _XAM_BLKDEVICE_H
#define _XAM_BLKDEVICE_H

// Function prototypes

class Partition
{
	L4_ThreadId_t					m_nBlockDeviceTID;

public:
	Partition(const char * szDeviceName, const char ID);
	~Partition();

public:
	int ReadBlock(
		int				nBlockNumber, 
		char		*	Buffer, 
		const int		nBlockSize
		/*, const int nCacheStrategy*/);

	int WriteBlock(
		int				nBlockNumber, 
		char		*	Buffer, 
		const int		nBlockSize, 
		bool			bWriteNow = false);

	unsigned char GetPartitionID(void);
	int FlushCache(const int nBlockSize)  { return 0; }
	
	void * operator new (unsigned int size) { return (void*) 0; }
	
};

#endif
