#include <l4/sigma0.h>

///////////////////////////////////////////////////////////////////////////////
// Name		  :	ProcessLocalStorage
// Description:	Keeps proccess data
//
class CriticalSection
{
	L4_ThreadId_t		m_SectionOwner;
	L4_ThreadId_t		m_SectionQueue;
	int					m_HoldersCount;
	int					m_EnterCount;
private:
	virtual	L4_ThreadId_t	CompareAndExchange( L4_ThreadId_t &, L4_ThreadId_t ) = 0;

public:
	CriticalSection();
	virtual ~CriticalSection();
	L4_ThreadId_t TryEnter();
	int Enter();
	int Leave();
};

