#ifndef _SET_JMP_H_
#define _SET_JMP_H_

#include <sys/cdefs.h>

typedef struct jmp_buf_tag
{
	unsigned long			ip;
	unsigned long			sp;
	unsigned long			fl;
	unsigned long			esi;
	unsigned long			edi;
	unsigned long			old_control;
	int						value;
} jmp_buf[1];

__BEGIN_DECLS

void longjmp(jmp_buf env, int val);
int setjmp(jmp_buf env);

__END_DECLS

//////////////////////////////////////
// Workaround for gcc
//////////////////////////////////////
//#define setjmp		_setjmp
//#define longjmp		_longjmp

#endif
