#ifndef _SYS_TIMES_H_
#define _SYS_TIMES_H_

#include <sys/cdefs.h>
#include <l4/types.h>

typedef L4_Word64_t		clock_t;

struct tms
{
    clock_t		tms_utime;	/* User CPU time */
    clock_t		tms_stime;	/* System CPU time */
    clock_t		tms_cutime;	/* User CPU time of terminated child procs */
    clock_t		tms_cstime;	/* System CPU time of terminated child procs */
};

	__BEGIN_DECLS                                                                  

	clock_t times (struct tms *);

	__END_DECLS                                                                    

#endif
