#ifndef _UTIME_H_
#define _UTIME_H_

#include <sys/cdefs.h>
#include <time.h>

typedef struct utimbuf 
{
	time_t    actime;    // Access time. 
	time_t    modtime;   // Modification time.
} utimbuf_t;

	__BEGIN_DECLS

	int utime(const char * path, const struct utimbuf * times);

	__END_DECLS

#endif
